/* eloquence.h - Eloquence provides the HP3000 IMAGE intrinsics. This is    */
/* to be included in direct.c which is the direct interface between         */
/* ACUCOBOL and 'C'. You need to link against the Eloquence image3k         */
/* library.                                                                 */

#if ELOQUENCE

#include "/opt/eloquence6/include/image3k.h"

#define Eloquence_IMAGE_intrinsics \
        { "DBBEGIN",            FUNC dbbegin,   	C_void }, \
        { "DBCLOSE",            FUNC dbclose,   	C_void }, \
        { "DBCONTROL",          FUNC dbcontrol, 	C_void }, \
        { "DBDELETE",           FUNC dbdelete,  	C_void }, \
        { "DBEND",              FUNC dbend,     	C_void }, \
        { "DBERROR",            FUNC dberror,   	C_void }, \
        { "DBEXPLAIN",          FUNC dbexplain, 	C_void }, \
        { "DBFIND",             FUNC dbfind,    	C_void }, \
        { "DBGET",              FUNC dbget,     	C_void }, \
        { "DBINFO",             FUNC dbinfo,    	C_void }, \
        { "DBLOCK",             FUNC dblock,    	C_void }, \
        { "DBMEMO",             FUNC dbmemo,    	C_void }, \
        { "DBOPEN",             FUNC dbopen,    	C_void }, \
        { "DBPUT",              FUNC dbput,     	C_void }, \
        { "DBUNLOCK",           FUNC dbunlock,  	C_void }, \
        { "DBUPDATE",           FUNC dbupdate,  	C_void }, \
        { "DBXBEGIN",           FUNC dbxbegin,  	C_void }, \
        { "DBXEND",             FUNC dbxend,    	C_void }, \
        { "DBXUNDO",            FUNC dbxundo,   	C_void }, \
        { "DBLOGON",            FUNC dblogon,   	C_void }, \
        { "DBTPIINFO",          FUNC dbtpiinfo,   	C_void },

#endif
